local mod = ...


-------------------------------------------------------
--[[====================STATUES====================]]--
-------------------------------------------------------


mod:registerAssetId("models/Road.fbx/Prefab/road", "PREFAB_ROAD")
mod:registerAssetId("models/Road.fbx/Prefab/road1", "PREFAB_ROAD1")
mod:registerAssetId("models/Road.fbx/Prefab/road2", "PREFAB_ROAD2")



mod:register({
	DataType = "BUILDING_PART",
	Id = "SMALL_ROAD",
	Name = "SMALL_ROAD_NAME",
	Description = "SMALL_ROAD_DESC",
	Category = "DECO",
	
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ROAD"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 1,
			Value = 0.2
		}
	}
})

mod:registerPrefabComponent("models/Road.fbx/Prefab/road", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = .5,
	SoftRadius = 1.5,
	Strength = 1
})

mod:register({
	DataType = "BUILDING_PART",
	Id = "MEDIUM_ROAD",
	Name = "MEDIUM_ROAD_NAME",
	Description = "MEDIUM_ROAD_DESC",
	Category = "DECO",
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ROAD1"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 3,
			Value = 0.2
		}
	}
})

mod:registerPrefabComponent("models/Road.fbx/Prefab/road1", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 2,
	SoftRadius = 4,
	Strength = 1
})


mod:register({
	DataType = "BUILDING_PART",
	Id = "LARGE_ROAD",
	Name = "LARGE_ROAD_NAME",
	Description = "LARGE_ROAD_DESC",
	Category = "DECO",
	--[[BuildingZone = { 
        ZoneEntryList = {
            { 
                Polygon = {
                    
                    { 3, 3 },
                    { -3, 3 },
                    
                    { -3, -3 },
                    { 3, -3 }
                },
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true } 
            }
        }
	},]]--
	IsMovableWhenBuilt = true,
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_ROAD2"
	},
	DesirabilityModifiers = {
		{
			Desirability = "DESIRABILITY_RESIDENTIAL",
			Type = "ADD",
			Radius = 6,
			Value = 0.2
		}
	}
})

mod:registerPrefabComponent("models/Road.fbx/Prefab/road2", {
	DataType = "COMP_DIRT_CIRCLE",
	IsPermanent = true,
	HardRadius = 5,
	SoftRadius = 7,
	Strength = 1
})